

<script>

    let reseaux = [
        { nom: "Discord", lien: "https://discord.gg/pXTPRdcgvr", icon: "/icon/discord_icon.png", alt: "icon Discord"},
        { nom: "Facebook", lien: "https://www.facebook.com/ClipFilm-119305804513465", icon: "/icon/facebook_icon.png", alt: "icon Facebook"},
        { nom: "Instagram", lien: "https://www.instagram.com/clipfilmfr/", icon: "/icon/instagram_icon.png", alt: "icon Instagram"},
        { nom: "Linkedin", lien: "https://www.linkedin.com/company/clipfilm/", icon: "/icon/linkedin_icon.png", alt: "icon Linkedin"},
        { nom: "Reddit", lien: "https://www.reddit.com/r/ClipFilm/", icon: "/icon/reddit_icon.png", alt: "icon Reddit"},
        { nom: "TikTok", lien: "https://www.tiktok.com/@clipfilm_fr", icon: "/icon/tiktok_icon.png", alt: "icon TikTok"},
        { nom: "Twitter", lien: "https://twitter.com/ClipFilm_", icon: "/icon/twitter_icon.png", alt: "icon Twitter"},        
        { nom: "Youtube", lien: "https://www.youtube.com/channel/UCHM9ZMBDoDluda7k7PcuTlA", icon: "/icon/youtube_icon.png", alt: "icon Youtube"},
        { nom: "Mail", lien: "mailto:clipfilmcontact@gmail.com", icon: "/icon/mail_icon.png", alt:"icon Mail" }
    ];

</script>


<style>

    body {
        display: flex;
        justify-content: center;
        width: 90%;
    }

    .all {
        font-family: impact, sans-serif;
        display: flex;
        border-radius: 50px;
        background-color: #E0AA24;
        color: #193b36;
        flex-direction: column;
        width: 100%;
    }


    .message_container {
        display: flex;
        justify-content: center;
        font-size: 25px;
        margin-top: 0%;
    }

    .icon_container {
        font-size: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .icon {
        display: flex;
        flex-direction: column;
        margin-top: 1%;
        margin-bottom: 1%;
    }

    a {
        color: #193b36;
        text-decoration: none;
    }

    .icon:hover {
        text-decoration: underline;
    }

    img {
        width: 35%;
    }

    .empty_left {
        margin-left: 50px;
    }

    .empty_right {
        margin-right: 50px
    }

</style>

<body>

<div class="all">

    <div class=message_container>
        <p>Nous contacter :</p>
    </div>

    <div class=icon_container>
       <div class="empty_left"></div>
        {#each reseaux as {nom, lien, icon, alt}}
            <div class="icon"><a href={lien} target="_blank"><img src={icon} alt={alt}></a><a href={lien} target="_blank">{nom}</a></div>
        {/each}
       <div class="empty_right"></div>
    </div>

</div>

</body>